Jan2017 Combo or OJVM PSU Patching via Enterprise Manager (Doc ID 2229371.1)

Last updated on APRIL 26, 2017

Applies to:

Enterprise Manager for Oracle Database - Version 12.1.0.8.0 to 13.2.1.0.0 [Release 12.1 to 13.2]
Information in this document applies to any platform.

Symptoms

Applying 12.1.0.2.170117 Combo <Patch 24917069> or 12.1.0.2.170117 OJVM PSU <Patch 24917972> using Enterprise Manager fails with below error.

Adding patches to installation queue and performing prereq checks...done
Installation queue:
The following patches will be rolled back:
23177536 (Database PSU 12.1.0.2.160719, Oracle JavaVM Component (JUL2016))
The following patches will be applied:
24917972 (Database PSU 12.1.0.2.170117, Oracle JavaVM Component (JAN2017))
24732082 (DATABASE PATCH SET UPDATE 12.1.0.2.170117)

Error: prereq checks failed!
patch 23177536: The database must be in upgrade mode
Prereq check failed, exiting without installing any patches. 

 This issue can happen while trying to apply 12.1.0.2.170117 Combo Patch or 12.1.0.2.170117 OJVM PSU which already have a previous Combo or OJVM applied(Note would not be applicable, if already on 2017 Jan Combo or OJVM and then trying to apply 2017 April Combo or OJVM) .

In this usecase an example of July 2016 Combo Patched database is selected.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms